# Oyun Parkı Nedir?

​	Oyun Parkı `Pardus` kurulumunuzu etkilemeden yüklemeler yapabileceğiniz bir `Oyun Parkı`dır. Docker konteyner yapısını kullanarak Pardus `xfce` masaüstü ortamına sahip bilgisayarınızdan bağımsız bir park*(konteyner)* oluşturur. Bu oluşturulan parkı arayüz üzerinden ister `grafik arabirime` ister `terminal ortamına` tek tıkla bağlanarak anında kullanmaya başlayabilirsiniz.

### Pardus Dağıtımına Katkıları Nedir?

------

​	Oyun Parkı Pardus kullanıcılarının kendi yüklemelerine zarar vermeden Pardusun özgür dünyasını diledikleri gibi keşfetmelerine yardımcı olur.

### Nasıl Kurulur?

------

​	Bu repodaki kurulum aşamalarını incelemeden önce [Oyun Parkı Imaj](https://kod.pardus.org.tr/nyx/oyun-parki-imaj) reposundaki kurulum adımlarını takip etmeniz kurulum aşamalarını kısaltacaktır. Ardından aşağıdaki iki farklı kurulum şeklini inceleyerek sizin için en uygun kurulum metodunu seçerek kolayca kurabilirsinz.

#### Hazır kurulum

------

​	Oyun parkını hazırladığımız deb paketi ile `sudo apt-get install ./oyun-parki_0.1.0_amd64.deb` komutunu kullanarak tek komut ile yükleyerek hazır hale getirebilirsiniz.

#### Kaynak kodunu kullanarak kurulum

------

​	Oyun Parkının kaynak kodlarını kullanarak kendi bilgisayarınızda derlemek isterseniz öncelikle `git` aracının yüklü olduğundan, ardından `nodejs` paketinin 16.x sürümünde olmasına dikkat etmelisiniz. Bu paketler hali hazırda bulunuyor ise adım 5e atlayabilirsiniz.

1. İlk aşağıdaki komutu kullanarak nodesource repolarını apt kaynak listesine ekliyoruz.

   ```bash
   echo "deb https://deb.nodesource.com/node_16.x buster main" | sudo tee /etc/apt/sources.list.d/nodesource.list
   ```

2. Kaynak listesine ekledikten sonra apt kaynağının gpg anahtarını bilgisayarımıza ekliyoruz.

   ```bash
   curl -fsSL https://deb.nodesource.com/gpgkey/nodesource.gpg.key | sudo apt-key add -
   ```

3. GPG anahtarını ekledikten ettikten sonra apt paketlerimizi güncelliyoruz.

   ```bash
   sudo apt-get update
   ```

4. Paketlerin güncelleme işlemi bittiğinde aşağıdaki kod ile son sürüm nodejs paketimizi kuruyoruz.

   ```bash
   sudo apt-get install nodejs
   ```

5. Nodejs paketimizi başarıyla kurduktan sonra `git` aracını kullanarak projemizi indiriyoruz ve gerekli npm paketlerini yüklüyoruz.

   ```bash
   git clone https://kod.pardus.org.tr/nyx/oyun-parki-ui
   cd oyun-parki-ui && npm install
   ```

6. Projemize API paketini dahil etmek için src klasörüne giriyor ardından git aracı ile indiriyoruz. İndirdikten sonra gerekli npm paketlerini yüklüyoruz.

   ```bash
   cd src
   git clone https://kod.pardus.org.tr/nyx/oyun-parki-api
   cd oyun-parki-api && npm install
   ```

7. Paketlerimizi yükledikten sonra projenin ana dizinine dönüyor ve electron ile kurulum aşamasına geçiyoruz.

   ```bash
   cd ../../ && npm run electron:build
   ```

8. Başarıyla tamamlandığında deb paketini kullanarak Oyun Parkını bilgisayarımıza kuruyoruz.

   ```bash
   sudo apt-get install -y ./dist_electron/oyun-parki_0.1.0_amd64.deb
   ```

------

Yukarıdaki adımları tamamladıktan sonra Başlat menüsünü kullanarak veya `oyun-parki` komutunu kullanarak başlatabilirsiniz.

### Yol Haritamızda neler var?

------

​	Oyun Parkı [Açık Kaynak Hackathon Programı](https://www.acikhack.com/) için 3-7 Mayıs 2021 tarihleri arasında kısıtlı bir zamanda geliştirilmiş bir projedir. Bu sebeple düşünülen çoğu özellik eklenememiştir. Müsait olduğumuz zamanlarda aşağıdaki yol haritasına uyarak geliştirilmeye devam edilecektir.

- [x] Pardus `XFCE` masaüstü Imajı
- [x] Gerçek bir Pardus deneyimi süren `XFCE` masaüstü Imajı

- [x] Docker Desteği
- [x] Express.js + Dockerode
- [x] Vue + Electron
- [x] Paylaşımlı pano
- [x] Parklar ile ana bilgisayar arasında dosya paylaşımı

- [ ] Podman Desteği *(Pardus dağıtımının yirmibir versiyonun çıkması ve podman desteğinin resmi olarak gelmesi beklenmektedir.)*
- [ ] Yüksek FPS ve kaliteli ses aktarımı *(Podman Desteği beklenmektedir.)*

- [ ] Özelleştirilmiş Spice Istemcisi *(Spice-gtk paketini forklayarak daha fazla özelliğe ev sahibi olması amaçlanmaktadır.)*

